# FillDepthModeType

## Overview

FillDepthModeType is an Enum that specifies the depth rendering mode of a UI element. It is used as the FillDepthModeType property in GuiBase and related UI classes, and determines how an element is displayed when occluded by other 3D objects.

## Items

| Name                   | Value | Description                                                   |
| ---------------------- | ----- | ------------------------------------------------------------- |
| AlwaysOnTop            | 0     | Always displayed on top and is not occluded by other objects. |
| VisibleWhenNotOccluded | 1     | Only displayed when not occluded by other objects.            |
| VisibleWhenOccluded    | 2     | Only displayed when occluded by other objects.                |

## See also

{% content-ref url="/pages/fYpWI43BQ1i5qBPCzGKA" %}
[Fill](/development/api-reference/classes/fill.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/filldepthmodetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
